# Generated by Django 2.0.5 on 2020-08-31 13:15

import core.models
import custom_storages
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0088_profile_smartnet_receiving_ticket_closing_note'),
        ('core', '0065_auto_20200629_0346'),
    ]

    operations = [
        migrations.CreateModel(
            name='SmartnetReceivingEmailAttachment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('attachment', models.FileField(blank=True, null=True, storage=custom_storages.OverwriteStorage(), upload_to=core.models.file_upload_url)),
                ('name', models.CharField(max_length=100)),
                ('is_active', models.BooleanField(default=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SmartnetReceivingSetting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('order_status_alias_email', models.EmailField(max_length=254)),
                ('email_subject', models.TextField()),
                ('email_body', models.TextField()),
                ('provider', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='snt_receiving_settings', to='accounts.Provider')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='smartnetreceivingemailattachment',
            name='smartnet_receiving_setting',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='snt_receiving_email_attachments', to='core.SmartnetReceivingSetting'),
        ),
    ]
